%define _disable_ld_as_needed 1
%define _disable_ld_no_undefined 1
%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define beta_or_rc 0
%define actual_release 1
%define svnrevision 46050
%define with_clucene 1
%define with_ldap 1
%define with_xmlto 1

%define _requires_exceptions pear(server/PEAR/JSON.php)\\|pear(server/PEAR/XML/Unserializer.php)\\|pear(debug.php)\\|pear(mapi/
%define _provides_exceptions pear(debug.php)\\|pear(mapi/


Summary:	Zarafa Outlook Sharing and Open Source Collaboration
Name:		zarafa
Version:	7.1.11

%define subrel 2
%if %{beta_or_rc}
Release:	%mkrel 0.svn%{svnrevision}.%{actual_release}
%else
Release:	%mkrel %{actual_release}
%endif
# Red Hat Legal has been advised by email from Zarafa that no license is
# required in order to use the letter string "zarafa" (combined with other
# words) in the package naming, to refer to the software as "Zarafa" to
# indicate its intended purpose, and to modify packages with bug fixes and
# enhancements.
License:	AGPLv3
#
# The zarafa website http://community.zarafa.com/
# states:
# The community version is available in precompiled packages or as source code. 
# The source code is licensed under the Affero GPLv3 license.
#
Group:		System/Servers
URL:		http://www.zarafa.com/
# http://www.zarafa.com/download-community -> "Zarafa Source Package"
Source0:	http://download.zarafa.com/community/final/7.1/%{version}-%{svnrevision}/sourcecode/zcp-%{version}.tar.gz
Source1:	%{name}.ini
Source2:	%{name}.logrotate
Source3:	%{name}-webaccess.conf
Source4:	%{name}.rpmlintrc
Patch0:		zarafa-7.1.11-rpath.patch
Patch1:		zarafa-7.1.10-kyotocabinet.patch
Patch2:		zarafa-7.1.11-php-unbundle.patch
BuildRequires:	byacc
BuildRequires:	curl-devel
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	libical-devel >= 0.42
BuildRequires:	libvmime-devel >= 0.9.0
BuildRequires:	libxml2-devel
BuildRequires:	mysql-devel >= 4.1
#BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pam-devel
BuildRequires:	perl
BuildRequires:	perl-devel
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	swig
BuildRequires:	python-devel
BuildRequires:	boost-devel
BuildRequires:	libuuid-devel
BuildRequires:	kyotocabinet-devel
%if %{with_clucene}
BuildRequires:	clucene-devel >= 0.9.20
%endif
%if %{with_ldap}
BuildRequires:	openldap-devel
%endif
%if %{with_xmlto}
BuildRequires:	xmlto
%endif
# The normal zarafa package pulls in all of zarafa
Requires:	mysql
Requires:	locales-en
Requires:	zarafa-ical >= %{version}-%{release}
Requires:	zarafa-dagent >= %{version}-%{release}
Requires:	zarafa-gateway >= %{version}-%{release}
Requires:	zarafa-monitor >= %{version}-%{release}
Requires:	zarafa-server >= %{version}-%{release}
Requires:	zarafa-spooler >= %{version}-%{release}
Requires:	zarafa-utils >= %{version}-%{release}
Requires:	zarafa-config >= %{version}-%{release}
Requires:	zarafa-webaccess >= %{version}-%{release}

%description
Zarafa Outlook Sharing is a Microsoft Exchange replacement. The Open Source
Collaboration provides an integration with your existing Linux mail server,
native mobile phone support by ActiveSync compatibility and a webaccess with
'Look & Feel' similar to Outlook using Ajax. Including an IMAP4 and a POP3
gateway as well as an iCal/CalDAV gateway, Zarafa can combine the usability
with the stability and flexibility of a Linux server.

The proven Zarafa groupware solution is using MAPI objects, provides a MAPI
client library as well as programming interfaces for C++, PHP and Perl. The
other Zarafa related packages need to be installed to gain all the features
and benefits of Zarafa Outlook Sharing and Open Source Collaboration.


%package	client
Summary:	Zarafa Client Library
Group:		System/Servers
Requires:	zarafa-common >= %{version}-%{release}

%description	client
Zarafa client libraries for use with integrated MAPI clients.

%package	common
Summary:	Zarafa common files
Group:		System/Servers

%description	common
Common files and directories required by most Zarafa packages.

%package	dagent
Summary:	Zarafa Delivery Agent
Group:		System/Servers
Requires:	zarafa-client >= %{version}-%{release}
Requires:	zarafa-common >= %{version}-%{release}
Requires(post):	chkconfig
Requires(preun):%{_sbindir}/service
Requires(preun): chkconfig
Requires(postun):%{_sbindir}/service

%description	dagent
The delivery agent delivers e-mails into the Zarafa server.
It can be used to trigger the local mailer or act as the LMTP
server.

%package -n	%{develname}
Summary:	Development files for several Zarafa libraries
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}, pkgconfig
Requires:	zarafa-common = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}zarafa0 < 7.1.8-7

%description -n	%{develname}
The zarafa-devel package includes header files and libraries necessary for
developing programs which use features from the Zarafa Outlook Sharing and
Open Source Collaboration. The proven Zarafa groupware solution is using
MAPI objects, provides a MAPI client library and programming interfaces for
C++, PHP and Perl.

%package	gateway
Summary:	Zarafa Gateway server (POP3/IMAP access)
Group:		System/Servers
Requires:	zarafa-client >= %{version}-%{release}
Requires:	zarafa-common >= %{version}-%{release}
Requires(post):	chkconfig
Requires(preun):%{_sbindir}/service
Requires(preun):chkconfig
Requires(postun):%{_sbindir}/service

%description	gateway
The gateway enables other e-mail clients to connect through
POP3 or IMAP to the Zarafa server to read their e-mail. With
IMAP, it is also possible to view the contents of shared
folders and subfolders. The gateway can be configured to
listen for POP3, POP3S, IMAP and/or IMAPS.

%package	ical
Summary:	The Zarafa iCal/CalDAV gateway
Group:		System/Servers
Requires:	zarafa-client >= %{version}-%{release}
Requires:	zarafa-common >= %{version}-%{release}
Requires(post):	chkconfig
Requires(preun):%{_sbindir}/service
Requires(preun):chkconfig
Requires(postun):%{_sbindir}/service
Provides:	zarafa-caldav = %{version}-%{release}

%description	ical
The iCal/CalDAV gateway enables users to retrieve their
calendar using iCalendar compliant clients. The iCal/CalDAV
gateway can be configured to listen for HTTP and HTTPS
requests.

%package	caldav
Summary:	The Zarafa iCal/CalDAV gateway
Group:		System/Servers
Requires:	zarafa-ical >= %{version}-%{release}

%description	caldav
The iCal/CalDAV gateway enables users to retrieve their
calendar using iCalendar compliant clients. The iCal/CalDAV
gateway can be configured to listen for HTTP and HTTPS
requests.

%package	monitor
Summary:	Zarafa Monitoring service
Group:		System/Servers
Requires:	zarafa-client >= %{version}-%{release}
Requires:	zarafa-common >= %{version}-%{release}
Requires(post):	chkconfig
Requires(preun):%{_sbindir}/service
Requires(preun):chkconfig
Requires(postun):%{_sbindir}/service

%description	monitor
The monitor checks user mailbox sizes. When a quotum is reached
the monitor sends a quota notification email.

%package	server
Summary:	Zarafa Backend Server
Group:		System/Servers
Requires:	zarafa-common >= %{version}-%{release}
Requires(post):	chkconfig
Requires(preun):%{_sbindir}/service
Requires(preun):chkconfig
Requires(postun):%{_sbindir}/service
Provides:	zarafa-config = %{version}-%{release}

%description	server
The Zarafa groupware backend server

%package	spooler
Summary:	Zarafa Spooler Service
Group:		System/Servers
Requires:	zarafa-client >= %{version}-%{release}
Requires:	zarafa-common >= %{version}-%{release}
Requires(post):	   chkconfig
Requires(preun):   %{_sbindir}/service
Requires(preun):   chkconfig
Requires(postun):   %{_sbindir}/service

%description	spooler
The spooler sends all pending Zarafa e-mail to the recipients,
from the Outbox of a user/all users.

%package	utils
Summary:	Zarafa Utilities
Group:		System/Servers
Requires:	zarafa-client >= %{version}-%{release}
Requires:	zarafa-common >= %{version}-%{release}

%description	utils
Administration utilities for the Zarafa Groupware environment
including reporting and password management.

%package -n	%{libname}
Summary:	Mapi libraries by Zarafa
Group:		System/Libraries
Requires:	zarafa-client >= %{version}-%{release}

%description -n %{libname}
MAPI libraries by Zarafa.

%package -n	python-MAPI
Summary:	Python Mapi extension libraries by Zarafa
Group:		Development/Python
Requires:	python

%description -n python-MAPI
Python MAPI extension libraries by Zarafa.

%if %{with perl}
%package -n	perl-MAPI
Summary:	The Perl MAPI extension by Zarafa
Group:		Development/Perl
%rename		perl-libmapi

%description -n	perl-MAPI
The perl-MAPI package contains the Perl MAPI extension to provide access
to Microsoft MAPI functions while using Perl.
%endif

%package -n	php-mapi
Summary:	A PHP Mapi client by Zarafa
Group:		Development/PHP
# Bug: Without mod_ssl, reloading httpd causes core dump
Requires:	apache-mod_ssl
Requires:	apache-mod_php >= 5.2

%description -n php-mapi
PHP MAPI extension by Zarafa to enable MAPI communication in PHP.

%if %{with_clucene}
%package	indexer
Summary:	The Zarafa Indexing service
Group:		System/Servers
Requires:	zarafa-common >= %{version}-%{release}
Requires:	catdoc
Requires:	xsltproc
Requires:	lynx
Requires:	unzip
Requires:	poppler
Requires:	file
Requires(post):	chkconfig
Requires(preun):%{_sbindir}/service
Requires(preun):chkconfig
Requires(postun):%{_sbindir}/service

%description	indexer
The zarafa-indexer package includes the Zarafa Indexing service for fast
and full-text searching. Using CLucene search engine, this service makes
an index per user of messages and attachments for the Zarafa server. At
search queries, the server will use this index to quickly find messages,
items and even in contents of attached documents.
%endif

%package	webaccess
Summary:	Zarafa Webaccess featuring a 'Look & Feel' similar to Outlook
Group:		Development/PHP
Requires:	apache-mod_php >= 5.2
Requires:	php-mapi >= %{version}-%{release}
BuildArch:	noarch
Requires:	php-pear
Requires:	php-json
Requires:	php-pear-XML_Serializer
Requires:	php-iconv


%description	webaccess
Zarafa Webaccess features the familiar Outlook 'Look & Feel' interface
and you can keep using the features in Outlook that have always allowed
you to work efficiently. View your e-mail, calendar and contacts via a
web browser. And opening your colleagues calendar or sending a meeting
request is only a piece of cake. The Zarafa Webaccess is using the ajax
technology to give a more interactive feeling to the users.

%package	archiver
Summary:	Manages zarafa archives and perfoms the archive operation
Group:		System/Servers
Requires:	zarafa-client >= %{version}-%{release}
Requires:	zarafa-common >= %{version}-%{release}
Requires:	zarafa-utils >= %{version}-%{release}

%description 	archiver
This tool is used to attach or detach archives to a users store.
An archive is defined as a special non-active store or a folder inside such a
store.

On top of managing archives, this tool is used to perfom the actual archive
operation Using the -u option, the archiver can be instructed to archive a
single store or all stores.

%prep
%setup -q
%patch0 -p1 -b .rpath
touch -c -r aclocal.m4.rpath aclocal.m4
%patch1 -p1 -b .kyotocabinet
%patch2 -p1 -b .php-unbundle

%build
#autoreconf -fi
CFLAGS="%{optflags} -fno-strict-aliasing" \
%configure2_5x \
    --with-userscript-prefix=%{_sysconfdir}/%{name}/userscripts \
    --with-quotatemplate-prefix=%{_sysconfdir}/%{name}/quotamail \
    --with-clucene-lib-prefix=%{_libdir} \
    --with-clucene-include-prefix=%{_includedir} \
    --enable-release \
    --enable-swig \
    --disable-static \
    --enable-unicode \
    --enable-python 

find swig -type f | xargs touch
%make

%install
make \
    docdir=%{_datadir}/doc/%{name}/ \
    datarootdir=%{_datadir} \
    DESTDIR=%{buildroot} \
    INSTALL='install -p' \
    BUILT_SOURCES='' \
    install \
    install-ajax-webaccess

# Nuke all leftovers from licensed, managed or other proprietary items
rm -rf %{buildroot}%{_sysconfdir}/{%{name}/{license,licensed.cfg,report-ca},cron.daily/%{name}-client-update}
rm -f %{buildroot}%{_mandir}/man?/{zarafa-{backup,restore,report,msr*,ldapms.cfg,licensed{,.cfg}},za-aclsync}.*

# Move all the initscripts to their appropriate place and
# ensure that all services are off by default at boot time
rm -rf %{buildroot}%{_sysconfdir}/init.d/
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d/
for service in dagent gateway ical indexer monitor server spooler; do
    if [ -f installer/linux/%{name}-$service.init.rhel ]; then
        sed -e 's@345@-@' installer/linux/%{name}-$service.init.rhel > \
            %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}-$service
        chmod 755 %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}-$service
        touch -c -r installer/linux/%{name}-$service.init.rhel %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}-$service
    fi
done

# Move the configuration files to their correct place and handle
# /usr/lib vs. /usr/lib64 for all architectures correct and set
# run_as_user, run_as_group and local_admin_users values correct
for config in %{buildroot}%{_datadir}/doc/%{name}/example-config/*.cfg; do
    config=$(basename $config)
    if [ -f %{buildroot}%{_datadir}/doc/%{name}/example-config/$config ]; then
        sed -e 's@\(run_as_\(user\|group\)[[:space:]]*=\).*@\1 %{name}@' -e 's@/usr/lib/zarafa@%{_libdir}/%{name}@' \
            -e 's@\(local_admin_users[[:space:]]*=[[:space:]]*root.*\)@\1 %{name}@' \
                %{buildroot}%{_datadir}/doc/%{name}/example-config/$config > %{buildroot}%{_sysconfdir}/%{name}/$config
        chmod 640 %{buildroot}%{_sysconfdir}/%{name}/$config
        touch -c -r %{buildroot}%{_datadir}/doc/%{name}/example-config/$config %{buildroot}%{_sysconfdir}/%{name}/$config
    fi
done

# Move the logrotate configuration file to its correct place
rm -f %{buildroot}%{_sysconfdir}/logrotate.d/*
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# Move the userscripts to their correct place and symlink them
mkdir -p %{buildroot}%{_datadir}/%{name}/userscripts/
for userscript in companies_common.sh groups_common.sh users_common.sh \
            createcompany creategroup createuser deletecompany deletegroup deleteuser; do
    mv -f %{buildroot}{%{_sysconfdir},%{_datadir}}/%{name}/userscripts/$userscript
    ln -sf ../../..%{_datadir}/%{name}/userscripts/$userscript %{buildroot}%{_sysconfdir}/%{name}/userscripts/$userscript
done

# Create the data directory and install some files into
mkdir -p %{buildroot}%{_datadir}/%{name}/
install -m0755 installer/linux/db-{calc-storesize,convert-attachments-to-files} %{buildroot}%{_datadir}/%{name}/
install -m0755 installer/linux/ssl-certificates.sh %{buildroot}%{_datadir}/%{name}/
install -m0755 installer/linux/audit-parse.pl %{buildroot}%{_datadir}/%{name}/
%if %{with_ldap}
install -m0755 installer/linux/{db-upgrade-objectsid-to-objectguid,ldap-switch-sendas}.pl %{buildroot}%{_datadir}/%{name}/
install -m0644 installer/ldap/%{name}.schema %{buildroot}%{_datadir}/%{name}/
%else
rm -f %{buildroot}%{_sysconfdir}/%{name}/ldap.{active-directory,openldap,propmap}.cfg
rm -f %{buildroot}%{_mandir}/man5/%{name}-ldap.cfg.5*
%endif

# Create the default log and lib directory for packaging
mkdir -p %{buildroot}%{_localstatedir}/{log,lib}/%{name}/

# Remove all libtool .la files to avoid packaging of them
rm -f %{buildroot}{%{_libdir}/{,php/modules,php4,%{name}},%{perl_vendorarch}/auto/MAPI}/*.la

# Remove files that are anyway in %doc or %{_datadir}/%{name}/
rm -rf %{buildroot}%{_datadir}/doc/%{name}{,-indexer}/

# Remove unwanted/unused files that shouldn't exist anyway...
rm -f %{buildroot}%{_sysconfdir}/sysconfig/%{name}-indexer

# Move Indexer/CLucene related files to its correct places
%if !%{with_clucene}
rm -f %{buildroot}{%{_sysconfdir}/{rc.d/init.d,sysconfig},%{_mandir}/man?}/%{name}-indexer*
rm -rf %{buildroot}{%{_sysconfdir}/%{name}/indexer.cfg,%{_datadir}/%{name}/indexerscripts/}
%endif

# Move the webaccess configuration file to its correct place
mv -f %{buildroot}%{_sysconfdir}/%{name}/webaccess{-ajax,}
rm -f %{buildroot}%{_datadir}/%{name}-webaccess/config.php
ln -sf ../../..%{_sysconfdir}/%{name}/webaccess/config.php %{buildroot}%{_datadir}/%{name}-webaccess/config.php

# Install the apache configuration file for webaccess
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}-webaccess.conf

# Move the webaccess plugins directory to its correct place
rm -rf %{buildroot}{%{_datadir},%{_localstatedir}/lib}/%{name}-webaccess/plugins
mkdir -p %{buildroot}%{_datadir}/%{name}-webaccess/plugins/

# Remove unwanted language connectors and webaccess files
rm -f %{buildroot}%{_datadir}/%{name}-webaccess/client/widgets/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.{cfm,pl}
rm -f %{buildroot}%{_datadir}/%{name}-webaccess/{.htaccess,%{name}-webaccess.conf}
rm -f %{buildroot}%{_datadir}/%{name}-webaccess/senddocument.php
#rm -f %{buildroot}%{_libdir}/php/extensions/mapi.*a

# bork
install -m0644 doc/zarafa.1 %{buildroot}%{_mandir}/man1/
install -m0644 installer/linux/ldap.active-directory.cfg %{buildroot}%{_sysconfdir}/%{name}/
install -m0644 installer/linux/ldap.openldap.cfg %{buildroot}%{_sysconfdir}/%{name}/

# Remove bundled PHP PEAR files/libraries
rm -rf %{buildroot}%{_datadir}/%{name}-webaccess/server/PEAR
rm -f %{buildroot}%{_datadir}/%{name}-webaccess/{.,server/core}/*.php-unbundle
 



# Remove files only required by proprietary web services
rm -rf $RPM_BUILD_ROOT{%{_sysconfdir}/%{name}/ws.cfg,%{_datadir}/zarafa/timezones}

%find_lang %{name}

# XXX: why desn't spec-helper script take care of removing this..?
find %{buildroot} -name \*.la | xargs rm -f

# taken from mdv
%pre common
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} %{_sbindir}/nologin

%post dagent
%_post_service %{name}-dagent %{name}-dagent.service
# Ensure correct log file ownership after upgrade from official packages
chown %{name}:%{name} %{_localstatedir}/log/%{name}/dagent.* > /dev/null 2>&1 || :

%post ical
%_post_service %{name}-ical %{name}-ical.service
# Ensure correct log file ownership after upgrade from official packages
chown %{name}:%{name} %{_localstatedir}/log/%{name}/ical.* > /dev/null 2>&1 || :

%post gateway
%_post_service %{name}-gateway %{name}-gateway.service
# Ensure correct log file ownership after upgrade from official packages
chown %{name}:%{name} %{_localstatedir}/log/%{name}/gateway.* > /dev/null 2>&1 || :

%post monitor
%_post_service %{name}-monitor %{name}-monitor.service
# Ensure correct log file ownership after upgrade from official packages
chown %{name}:%{name} %{_localstatedir}/log/%{name}/monitor.* > /dev/null 2>&1 || :

%post server
%_post_service %{name}-server %{name}-server.service
# Ensure correct log file ownership after upgrade from official packages
chown %{name}:%{name} %{_localstatedir}/log/%{name}/server.* > /dev/null 2>&1 || :

%post spooler
%_post_service %{name}-spooler %{name}-spooler.service
# Ensure correct log file ownership after upgrade from official packages
chown %{name}:%{name} %{_localstatedir}/log/%{name}/spooler.* > /dev/null 2>&1 || :

%preun dagent
if [ $1 -eq 0 ]; then
    %{_sbindir}/service %{name}-dagent stop > /dev/null 2>&1 || :
    chkconfig --del %{name}-dagent
fi

%preun ical
if [ $1 -eq 0 ]; then
    %{_sbindir}/service %{name}-ical stop > /dev/null 2>&1 || :
    chkconfig --del %{name}-ical
fi

%preun gateway
if [ $1 -eq 0 ]; then
    %{_sbindir}/service %{name}-gateway stop > /dev/null 2>&1 || :
    chkconfig --del %{name}-gateway
fi

%preun monitor
if [ $1 -eq 0 ]; then
    %{_sbindir}/service %{name}-monitor stop > /dev/null 2>&1 || :
    chkconfig --del %{name}-monitor
fi

%preun server
if [ $1 -eq 0 ]; then
    %{_sbindir}/service %{name}-server stop > /dev/null 2>&1 || :
    chkconfig --del %{name}-server
fi

%preun spooler
if [ $1 -eq 0 ]; then
    %{_sbindir}/service %{name}-spooler stop > /dev/null 2>&1 || :
    chkconfig --del %{name}-spooler
fi

%postun dagent
if [ $1 -ne 0 ]; then
    %{_sbindir}/service %{name}-dagent condrestart > /dev/null 2>&1 || :
fi

%postun ical
if [ $1 -ne 0 ]; then
    %{_sbindir}/service %{name}-ical condrestart > /dev/null 2>&1 || :
fi

%postun gateway
if [ $1 -ne 0 ]; then
    %{_sbindir}/service %{name}-gateway condrestart > /dev/null 2>&1 || :
fi

%postun monitor
if [ $1 -ne 0 ]; then
    %{_sbindir}/service %{name}-monitor condrestart > /dev/null 2>&1 || :
fi

%postun server
if [ $1 -ne 0 ]; then
    %{_sbindir}/service %{name}-server condrestart > /dev/null 2>&1 || :
fi

%postun spooler
if [ $1 -ne 0 ]; then
    %{_sbindir}/service %{name}-spooler condrestart > /dev/null 2>&1 || :
fi

%files
%doc installer/licenseagreement/AGPL-3

%files caldav
%doc installer/licenseagreement/AGPL-3

%files client
%doc installer/licenseagreement/AGPL-3
%{_libdir}/libzarafaclient.so
%{_libdir}/libzarafacontacts.so
%{_libdir}/libzarafasync.so.*

%files common
%doc installer/licenseagreement/AGPL-3
%dir %{_sysconfdir}/%{name}/
%dir %{_sysconfdir}/mapi/
%config(noreplace) %{_sysconfdir}/mapi/zarafa.inf
%config(noreplace) %{_sysconfdir}/mapi/zcontacts.inf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%dir %{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/zarafa-autorespond.1.*
%{_mandir}/man1/zarafa-mailbox-permissions.1.*
%{_mandir}/man1/zarafa-search.1.*
%{_mandir}/man1/zarafa-set-oof.1.*
%{_mandir}/man1/za-*
%{_mandir}/man5/%{name}*
%dir %{_datadir}/%{name}/
%dir %attr(0755,%{name},%{name}) %{_localstatedir}/lib/%{name}/
%dir %attr(0755,%{name},%{name}) %{_localstatedir}/log/%{name}/

%files dagent
%doc installer/licenseagreement/AGPL-3 installer/linux/createuser.dotforward
%{_bindir}/%{name}-autorespond
%{_bindir}/%{name}-dagent
%{_datadir}/%{name}-dagent/python/*
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/dagent.cfg
%config(noreplace) %{_sysconfdir}/%{name}/autorespond
%{_sysconfdir}/rc.d/init.d/%{name}-dagent
%{_mandir}/man1/%{name}-dagent.1*
%{_mandir}/man5/%{name}-dagent.cfg.5*

%files -n %{develname}
%doc installer/licenseagreement/AGPL-3
%{_libdir}/libarchiver-core.so
%{_libdir}/libarchiver.so
%{_libdir}/libicalmapi.so
%{_libdir}/libinetmapi.so
%{_libdir}/libmapi.so
%{_libdir}/libmapicalendar.so
%{_libdir}/libmapitimezone.so
%{_libdir}/libmapicalendar.so.*
%{_libdir}/libmapitimezone.so.*
%{_libdir}/libcommon_mapi.a
%{_libdir}/libcommon_ssl.a
%{_libdir}/libcommon_util.a
%{_libdir}/libcommon_service.a
%{_libdir}/libfreebusy.a
%{_libdir}/libzarafasync.so
%{_includedir}/icalmapi/
%{_includedir}/inetmapi/
%{_includedir}/mapi4linux/
%{_includedir}/libfreebusy/
%{_includedir}/libzarafasync
%{_includedir}/%{name}/
%{_includedir}/libmapicalendar/
%{_includedir}/mapitimezone/
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man1/zarafa-archiver.1.*
%{_mandir}/man5/zarafa-archiver.cfg.5.*

%files gateway
%doc installer/licenseagreement/AGPL-3
%{_bindir}/%{name}-gateway
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/gateway.cfg
%{_sysconfdir}/rc.d/init.d/%{name}-gateway
%{_mandir}/man1/%{name}-gateway.1*
%{_mandir}/man5/%{name}-gateway.cfg.5*

%files ical
%doc installer/licenseagreement/AGPL-3
%{_bindir}/%{name}-ical
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/ical.cfg
%{_sysconfdir}/rc.d/init.d/%{name}-ical
%{_mandir}/man1/%{name}-ical.1*
%{_mandir}/man5/%{name}-ical.cfg.5*

%files monitor
%doc installer/licenseagreement/AGPL-3
%{_bindir}/%{name}-monitor
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/monitor.cfg
%dir %{_sysconfdir}/%{name}/quotamail/
%config(noreplace) %{_sysconfdir}/%{name}/quotamail/companywarning.mail
%config(noreplace) %{_sysconfdir}/%{name}/quotamail/userhard.mail
%config(noreplace) %{_sysconfdir}/%{name}/quotamail/usersoft.mail
%config(noreplace) %{_sysconfdir}/%{name}/quotamail/userwarning.mail
%{_sysconfdir}/rc.d/init.d/%{name}-monitor
%{_mandir}/man1/%{name}-monitor.1*
%{_mandir}/man5/%{name}-monitor.cfg.5*

%files server -f %{name}.lang
%doc installer/licenseagreement/AGPL-3
%{_bindir}/%{name}-server
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/server.cfg
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/unix.cfg
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/zarafa
%{_sysconfdir}/rc.d/init.d/%{name}-server
%dir %{_sysconfdir}/%{name}/userscripts/
%{_sysconfdir}/%{name}/userscripts/createuser
%{_sysconfdir}/%{name}/userscripts/creategroup
%{_sysconfdir}/%{name}/userscripts/createcompany
%{_sysconfdir}/%{name}/userscripts/deleteuser
%{_sysconfdir}/%{name}/userscripts/deletegroup
%{_sysconfdir}/%{name}/userscripts/deletecompany
%{_sysconfdir}/%{name}/userscripts/*common.sh
%dir %{_sysconfdir}/%{name}/userscripts/createuser.d/
%dir %{_sysconfdir}/%{name}/userscripts/creategroup.d/
%dir %{_sysconfdir}/%{name}/userscripts/createcompany.d/
%dir %{_sysconfdir}/%{name}/userscripts/deleteuser.d/
%dir %{_sysconfdir}/%{name}/userscripts/deletegroup.d/
%dir %{_sysconfdir}/%{name}/userscripts/deletecompany.d/
%config(noreplace) %{_sysconfdir}/%{name}/userscripts/createcompany.d/00createpublic
%config(noreplace) %{_sysconfdir}/%{name}/userscripts/createuser.d/00createstore
%{_datadir}/%{name}/userscripts/
%{_libdir}/%{name}/dbplugin.so
%{_libdir}/%{name}/unixplugin.so
%{_mandir}/man1/%{name}-server.1*
%{_mandir}/man5/%{name}-server.cfg.5*
%{_mandir}/man5/%{name}-unix.cfg.5*
%if %{with_ldap}
%doc installer/ldap/%{name}.schema
%{_datadir}/%{name}/%{name}.schema
%{_datadir}/%{name}/db-upgrade-objectsid-to-objectguid.pl
%{_datadir}/%{name}/ldap-switch-sendas.pl
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/ldap.active-directory.cfg
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/ldap.openldap.cfg
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/ldap.propmap.cfg
%{_libdir}/%{name}/ldapplugin.so
%{_mandir}/man5/%{name}-ldap.cfg.5*
%endif
%{_datadir}/%{name}/audit-parse.pl

%files spooler
%doc installer/licenseagreement/AGPL-3
%{_bindir}/%{name}-spooler
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/spooler.cfg
%{_sysconfdir}/rc.d/init.d/%{name}-spooler
%{_datadir}/%name-spooler/python/*
%{_mandir}/man1/%{name}-spooler.1*
%{_mandir}/man5/%{name}-spooler.cfg.5*

%files utils
%doc installer/licenseagreement/AGPL-3
%{_bindir}/%{name}-mailbox-permissions
%{_bindir}/%{name}-admin
%{_bindir}/%{name}-mr-accept
%{_bindir}/%{name}-set-oof
%{_bindir}/%{name}-fsck
%{_bindir}/%{name}-passwd
%if %{with_clucene}
%{_bindir}/%{name}-search
%endif
%{_bindir}/%{name}-stats
%{_datadir}/%{name}/db-calc-storesize
%{_datadir}/%{name}/db-convert-attachments-to-files
%{_datadir}/%{name}/ssl-certificates.sh
%{_mandir}/man1/%{name}-admin.1*
%{_mandir}/man1/%{name}-fsck.1*
%{_mandir}/man1/%{name}-passwd.1*
%{_mandir}/man1/%{name}-stats.1*

%files -n %{libname}
%doc installer/licenseagreement/AGPL-3
%{_libdir}/libarchiver.so.*
%{_libdir}/libarchiver-core.so.*
%{_libdir}/libicalmapi.so.*
%{_libdir}/libinetmapi.so.*
%{_libdir}/libmapi.so.*

%if %{with perl}
%files -n perl-MAPI
%dir %{perl_vendorarch}/auto/MAPICore/
%{perl_vendorarch}/auto/MAPICore/MAPICore.so
%endif

%files -n php-mapi
%doc installer/licenseagreement/AGPL-3
%config(noreplace) %{_sysconfdir}/php.d/%{name}.ini
%{_datadir}/php/mapi/
%{_libdir}/php/extensions/mapi.so

%if %{with_clucene}
%files indexer
%doc installer/licenseagreement/AGPL-3
#%{_bindir}/%{name}-indexer
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/search.cfg
#%{_sysconfdir}/rc.d/init.d/%{name}-indexer
%dir %{_sysconfdir}/%{name}/searchscripts/
%config(noreplace) %{_sysconfdir}/%{name}/searchscripts/attachments_parser.db
%{_sysconfdir}/%{name}/searchscripts/attachments_parser
%{_sysconfdir}/%{name}/searchscripts/xmltotext.xslt
%{_sysconfdir}/%{name}/searchscripts/zmktemp
#########%{_mandir}/man1/%{name}-indexer.1.*
#######%{_mandir}/man5/%{name}-indexer.cfg.5*
%endif

%files webaccess
%doc installer/licenseagreement/AGPL-3
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}-webaccess.conf
%dir %{_sysconfdir}/%{name}/
%dir %attr(0750,root,apache)%{_sysconfdir}/%{name}/webaccess/
%config(noreplace) %attr(0640,root,apache)%{_sysconfdir}/%{name}/webaccess/config.php
%{_datadir}/%{name}-webaccess/
%dir %{_localstatedir}/lib/%{name}-webaccess/
%dir %attr(0770,root,apache) %dir %{_localstatedir}/lib/%{name}-webaccess/tmp/

%files -n python-MAPI
%doc installer/licenseagreement/AGPL-3
%{py_platsitedir}/*MAPI*
%{py_platsitedir}/icalmapi*
%{py_platsitedir}/inetmapi*
%{py_platsitedir}/_icalmapi*
%{py_platsitedir}/_inetmapi*
%{py_platsitedir}/_licenseclient*
%{py_platsitedir}/licenseclient.py*
%{py_platsitedir}/_mapicalendar.so
%{py_platsitedir}/_mapitimezone.so
%{py_platsitedir}/mapicalendar.py*
%{py_platsitedir}/mapitimezone.py*



%files archiver
%doc installer/licenseagreement/AGPL-3
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/archiver.cfg
%{_bindir}/%{name}-archiver


%changelog
* Sat Jan 31 2015 spuhler <spuhler> 7.1.11-1.2.mga4
+ Revision: 812845
- added php-unbundle.patch
- patched webaccess.conf
 * patches provided by Robert Scheck
- this fixes bug #14107
- added %%{buildroot}%%{_datadir}/%%{name}-webaccess/senddocument.php
  * This fixes Bug 14993- CVE-2014-9465
   - this fix was proposed by the reporter Robert Scheck <robert@...oraproject.org>
- changed %%attr in %%config(noreplace) files from %%{name} to root
  * fixes CVE-2014-544[7-9] and CVE-2014-5450
- removed mariadb patch (incl. upstream)
- added exceptions
- corrected to post commands
- removed ldconfig command
- changed BuildRequires:	to clucene-devel >= 2.3.3.4-4.1
  * it doesn't build below
- upgrade to vers. 7.1.11
- this will resolve bug #13822
  * passwords stored in cleartext on server (CVE-2014-0103)
- enabled swig
- removed zarafa-7.0.0-system_pear.patch and zarafa-7.0.7-fd_setsize.patch
  * to syncronixe with Fedora
- renumbered patches
- rediffed rpath patch
- removed %%_pre_groupadd %%{name}
- upgrade to ver. 7.1.8, svnrevision 44004
 * fixes Bug#12813 security issues CVE-2014-0037, CVE-2014-0079 and CVE-2014-0079

  + oden <oden>
    - remove one patch
    - sync with zarafa-7.1.10-3.fc22.src.rpm
    - sync with cauldron a bit
    - use a real tar ball
    - 7.1.10 (fixes CVE-2014-0103)

* Fri Jan 24 2014 tmb <tmb> 7.1.5-3.mga4
+ Revision: 567849
- rebuild for new php

  + pterjan <pterjan>
    - Rebuild for new PHP
    - Rebuild to add different pythonegg provides for python 2 and 3

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Sep 27 2013 fwang <fwang> 7.1.5-2.mga4
+ Revision: 487450
- update file list
- update file list
- rebuild for icu 52

* Mon Jul 22 2013 spuhler <spuhler> 7.1.5-1.mga4
+ Revision: 457255
- upgrade to ver 7.1.5

* Thu Jul 11 2013 fwang <fwang> 7.1.2-6.mga4
+ Revision: 452717
- rebuild for new boost

* Sun Jun 02 2013 fwang <fwang> 7.1.2-5.mga4
+ Revision: 434354
- rebuild for new ical

* Sun May 26 2013 fwang <fwang> 7.1.2-4.mga4
+ Revision: 428048
- rebuild for new icu

* Thu Apr 11 2013 spuhler <spuhler> 7.1.2-3.mga3
+ Revision: 409594
- bumped rel for rebuild against boost-1.53

* Wed Jan 23 2013 fwang <fwang> 7.1.2-2.mga3
+ Revision: 391232
- clear req

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 spuhler <spuhler> 7.1.2-1.mga3
+ Revision: 333767
- upgrade to 7.1.2
  removed fd_setsize.patch

* Fri Dec 21 2012 spuhler <spuhler> 7.1.1-3.mga3
+ Revision: 333679
- rebuild against new php-devel and new boost

* Thu Dec 20 2012 fwang <fwang> 7.1.1-2.mga3
+ Revision: 332971
- rebuild for new boost

* Sun Nov 18 2012 spuhler <spuhler> 7.1.1-1.mga3
+ Revision: 319242
- removed --disable-swig
  updated file-list
- update to 7.1.1
  Added --disable-swig
- added kyotocabinet-devel to buildrequires
- upgrade to 7.1.0

  + fwang <fwang>
    - update file list
    - update file list
    - touch files to disable regenerating
    - more non-oss dir patch
    - drop in-exist dirs
    - force autoreconf
    - disable swig to fix build
    - new version 7.1.1
    - new version 7.0.8
    - accept boost 1.50
    - rebuild for new boost
    - rebuild for new boost

* Sun Jun 10 2012 spuhler <spuhler> 7.0.7-2.mga3
+ Revision: 259357
- converted to post

* Sun Jun 10 2012 spuhler <spuhler> 7.0.7-1.mga3
+ Revision: 259216
- ugrade to version 7.0.7

* Wed May 30 2012 fwang <fwang> 7.0.5-3.mga3
+ Revision: 249650
- bump req

  + ovitters <ovitters>
    - rebuild due to new libicu + boost

* Thu Mar 22 2012 luigiwalser <luigiwalser> 7.0.5-2.mga2
+ Revision: 225616
- httpd restart is handled by filetriggers now

* Mon Feb 20 2012 spuhler <spuhler> 7.0.5-1.mga2
+ Revision: 211126
- update to 7.0.5
  revamped spec
- synced log with mdv

* Mon Dec 05 2011 dmorgan <dmorgan> 7.0.3-1.mga2
+ Revision: 176746
- Bump minimal boost required version
  Remove .la files
  Fix file list
- Adapt for mageia
- imported package zarafa

  + fwang <fwang>
    - new version 7.0.3
    - rebuild for new boost
    - fix linkage patch
    - fix linkage

  + spuhler <spuhler>
    - changed wrong group Group: Applications/Archiving
     to Group: Archiving/Other
    - added patch for complying with required lsb-keyword Default-Stop in /etc/rc.d/init.d/
      added +# The zarafa website http://community.zarafa.com/
      # states:
      # The community version is available in precompiled packages or as source code.
      # The source code is licensed under the Affero GPLv3 license.
      #
    -License:	AGPLv3 with exceptions
      +License:	AGPLv3
    - added BuildRequires: libuuid-devel
    - added zcp-7.0.1.tar.gz
    - update to 7.0.1
      updated spec from fedora
    - deleted files re-added
    - deleted files and will re-add since build cannot find them

